package storage.reporting;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

public class ActivityReport extends Report {
    @Override
	public String getType() {
		return "Activity Report";
	}

    public static final int TIME_SPENT_IN_PARTS = 0;
    public static final int TIME_SPENT_EDITING_FILES = 1;
    
	public ChartData getChartData()
    {
		ChartData data = new ChartData();
		
		data.add("Time Spend Debugging", 100);
		data.add("Time Spend Coding", 100);

        return data;
    }

	@Override
	public Map<String, String> getRawData() {
		Map<String, String> data = new HashMap<String, String>();
		data.put("Time Spend Debugging", "100");
		data.put("Time Spend Coding", "100");
		return data;
	}
	
    /**
     * Stub implementation.
     * @param part Unsure what this is. Possibly a "part" of Eclipse.
     * @param from Start time.
     * @param to End time.
     * @return Amount of time spent on this part between Start time and End time.
     */	
    public int getPercentageOfActivityTimeSpent(String part, long from, long to)
    {
        return (getActivityTimeSpent(part, from, to) / getActivityTimeSpent(null, from, to)) * 100;
    }

    /**
     * Stub implementation.
     * @param part Unsure what this is. Possibly a "part" of Eclipse.
     * @param from Start time.
     * @param to End time.
     * @return 0
     */
    protected int getActivityTimeSpent(String part, long from, long to)
    {
        return 0;
    }
}
