package storage.reporting;

import java.util.Date;
import java.util.Map;

import net.sourceforge.jdatepicker.DateModel;
import net.sourceforge.jdatepicker.impl.UtilDateModel;

/**
 * A public interface to wrap around the wizard classes.
 * @author mzi13
 *
 */
public interface IWizard {
	/**
	 * Show and run the wizard.
	 */
	public void show();
	
	/**
	 * Return the settings for the wizard.
	 * @return The settings as a map.
	 */
	public Map getSettings();
	
	/**
	 * Get the starting date.
	 */
	public Date getStartDate();

	/**
	 * Get the ending date.
	 */
	public Date getEndDate();
}
