package storage.reporting;

import java.awt.Component;
import java.awt.Composite;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Date;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;

import javax.swing.JCheckBox;

import net.sourceforge.jdatepicker.DateModel;
import net.sourceforge.jdatepicker.JDatePanel;
import net.sourceforge.jdatepicker.JDatePicker;
import net.sourceforge.jdatepicker.impl.JDatePanelImpl;
import net.sourceforge.jdatepicker.impl.JDatePickerImpl;
import net.sourceforge.jdatepicker.impl.UtilDateModel;

import org.eclipse.swt.widgets.DateTime;
import org.netbeans.api.wizard.WizardDisplayer;
import org.netbeans.spi.wizard.Wizard;
import org.netbeans.spi.wizard.WizardException;
import org.netbeans.spi.wizard.WizardPage;
import org.netbeans.spi.wizard.WizardPage.WizardResultProducer;

/**
 * @author  mzi13
 */
public class NetBeansWizard implements IWizard, WizardResultProducer {

	JDatePicker startDatePicker;
	JDatePicker endDatePicker;
	/**
	 * @uml.property  name="startDate"
	 */
	private Date startDate;	/**
	 * The start date chosen by the user.
	 * @uml.property  name="endDate"
	 */
	private Date endDate; /** The end date chosen by the user. */
	private Wizard wizard = null;	/** The actual wizard wrapped up by the NetBeansWizard. */
	
	public NetBeansWizard() {
		WizardPage page1 = new WizardPage("reportPage1", "Choose Report Parameters");

		// starting date
		JDatePanel startDatePanel = new JDatePanelImpl(new UtilDateModel());
        startDatePicker = new JDatePickerImpl((JDatePanelImpl) startDatePanel);
        
        // ending date
		JDatePanel endDatePanel = new JDatePanelImpl(new UtilDateModel());
        endDatePicker = new JDatePickerImpl((JDatePanelImpl) endDatePanel);
        
        //
        startDatePicker.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				System.out.println(startDatePicker.getModel());	
			}});
        
        // create the layout
		page1.setLayout(new FlowLayout(FlowLayout.LEADING));
		page1.add((Component) startDatePanel);
		page1.add((Component) endDatePanel);
		wizard = WizardPage.createWizard(new WizardPage[] { page1 },
				this);
	}

	@Override
	public void show() {
		// TODO Auto-generated method stub
		Object result = WizardDisplayer.showWizard(wizard);
	}

	@Override
	public Map getSettings() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public boolean cancel(Map settings) {
		// TODO Auto-generated method stub
		return false;
	}

	@Override
	public Object finish(Map settings) throws WizardException {
		Set keys = settings.keySet();
		Iterator it = keys.iterator();
		while (it.hasNext()) {
			Object key = it.next();
			System.out.println(key + "=" + settings.get(key));
		}
		return settings;
	}

	/**
	 * @return
	 * @uml.property  name="startDate"
	 */
	@Override
	public Date getStartDate() {
		Date date = new Date();
		UtilDateModel model = (UtilDateModel) startDatePicker.getModel();
        
		date.setDate(model.getDay());
        date.setYear(model.getYear() - 1900);
        date.setMonth(model.getMonth());

        return date;
	}

	/**
	 * @return
	 * @uml.property  name="endDate"
	 */
	@Override
	public Date getEndDate() {
		Date date = new Date();
		UtilDateModel model = (UtilDateModel) endDatePicker.getModel();
        
		date.setDate(model.getDay());
        date.setYear(model.getYear() - 1900);
        date.setMonth(model.getMonth());

        return date;
	}
}
