package storage.reporting;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.util.Map;

public class TextReportExporter extends ReportExporter {

	/**
	 * Create a text file with basic data about the report.
	 */
	@Override
	public void visit(Report r) {
		try {
			// Create file
			FileWriter fstream = new FileWriter("report.txt");
			BufferedWriter out = new BufferedWriter(fstream);
			
			// Write the header
			out.write("Patchwork Metrics Report\n\n");
			
			// Write the body (data)
	        for(Map.Entry<String, String> entry : r.getRawData().entrySet())
	        {
	            out.write(entry.getKey());
	            out.write(": ");
	            out.write(entry.getValue());
	            out.write("\n");
	        }
			
			// Close the output stream
			out.close();
		} catch (Exception e) {// Catch exception if any
			System.err.println("Error: " + e.getMessage());
		}
	}

}
