// Decompiled by Jad v1.5.8g. Copyright 2001 Pavel Kouznetsov.
// Jad home page: http://www.kpdus.com/jad.html
// Decompiler options: packimports(3) 
// Source File Name:   ActivityReport.java

package storage.reporting;

import java.text.DateFormat;
import java.util.*;

import net.sourceforge.jdatepicker.DateModel;
import net.sourceforge.jdatepicker.impl.UtilDateModel;

import org.jfree.chart.ChartFactory;
import org.jfree.chart.ChartFrame;
import org.jfree.chart.plot.PlotOrientation;
import org.jfree.data.category.DefaultCategoryDataset;
import plugin.Activator;

/**
 * @author      mzi13
 * @uml.dependency  supplier="storage.reporting.ReportExporter"
 */
public abstract class Report extends Observable
{
	// ========================================================================
	// START: New Fields introduced by Martin, 28 July 2010.
	
	/**
	 * @uml.property  name="categories"
	 * @uml.associationEnd  inverse="report:storage.reporting.ActivityCategory"
	 */
	protected Set<ActivityCategory> categories;	/** A set of the categories shown in the report. */

	// END: New Fields.
	// ========================================================================
	
	
	// ========================================================================
	// START: New Methods introduced by Martin, 28 July 2010.
	
	public void AddCategory(ActivityCategory c)
	{
		categories.add(c);
		notifyObservers();
	}
	
	public void RemoveCategory(ActivityCategory c)
	{
		categories.remove(c);
		notifyObservers();
	}
	
	/**
	 * Allow a report exporter object to export this report.
	 * @param r
	 */
	public void accept(ReportExporter r)
	{
		r.visit(this);
	}
	
	// END: New Methods.
	// ========================================================================
	
	
    public Report()
    {
    }

    public Report(Date start, Date end, String chartType)
    {
        setStartDate(start);
        setEndDate(end);
    }
    
    public abstract String getType();
    
    public abstract ChartData getChartData();

    /**
	 * @param dateModel
	 * @uml.property  name="startDate"
	 */
    public void setStartDate(Date dateModel)
    {
		System.out.println("setStartDate() called on Report.");
		setChanged();
		startDate = dateModel;
		notifyObservers();
	}

    /**
	 * @return
	 * @uml.property  name="startDate"
	 */
    public Date getStartDate()
    {
        return startDate;
	}

    /**
	 * @param end
	 * @uml.property  name="endDate"
	 */
    public void setEndDate(Date end)
    {
		this.endDate = end;
	}

    /**
	 * @return
	 * @uml.property  name="endDate"
	 */
    public Date getEndDate()
    {
        Date ed = new Date();
        ed.setDate(endDate.getDay());
        ed.setYear(endDate.getYear() - 1900);
        ed.setMonth(endDate.getMonth());
        return ed;
	}

    /**
	 * @uml.property  name="startDate"
	 */
    private Date startDate;
    /**
	 * @uml.property  name="endDate"
	 */
    private Date endDate;

    /**
     * Created by Martin, 26 Sep 2010. A method for getting a set of raw data, suitable to print out to a file, for example.
     * @return A map of the raw data in the report, suitable for printing out to a file, for example.
     */
	public abstract Map<String, String> getRawData();
	
	/**
	 * Return the title for the report.
	 * @return The title for the report.
	 */
	public String makeTitle() {
        StringBuilder titleBuilder = new StringBuilder();
        titleBuilder.append(getType() + " for " + System.getProperty("user.name"));
        titleBuilder.append(" from " +  DateFormat.getDateInstance().format(getStartDate()) + " to " + DateFormat.getDateInstance().format(getEndDate()));
        return titleBuilder.toString();
	}
}
